Package org.eclipse.emf.cdo.expressions.util

## Class ExpressionsAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory

- All Implemented Interfaces:
    `AdapterFactory`
  Direct Known Subclasses:
    `ExpressionsItemProviderAdapterFactory`

      public class ExpressionsAdapterFactory
      extends AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `ExpressionsPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static ExpressionsPackage` | `modelPackage` | The cached model package.
    `protected ExpressionsSwitch<Adapter>` | `modelSwitch` | The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionsAdapterFactory()` | Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Adapter` | `createAccessAdapter()` | Creates a new adapter for an object of class '`Access`'.
    `Adapter` | `createAdapter​(Notifier target)` | Creates an adapter for the `target`.
    `Adapter` | `createBooleanValueAdapter()` | Creates a new adapter for an object of class '`Boolean Value`'.
    `Adapter` | `createByteValueAdapter()` | Creates a new adapter for an object of class '`Byte Value`'.
    `Adapter` | `createCharValueAdapter()` | Creates a new adapter for an object of class '`Char Value`'.
    `Adapter` | `createContainedObjectAdapter()` | Creates a new adapter for an object of class '`Contained Object`'.
    `Adapter` | `createContextAccessAdapter()` | Creates a new adapter for an object of class '`Context Access`'.
    `Adapter` | `createDoubleValueAdapter()` | Creates a new adapter for an object of class '`Double Value`'.
    `Adapter` | `createEObjectAdapter()` | Creates a new adapter for the default case.
    `Adapter` | `createExpressionAdapter()` | Creates a new adapter for an object of class '`Expression`'.
    `Adapter` | `createFloatValueAdapter()` | Creates a new adapter for an object of class '`Float Value`'.
    `Adapter` | `createFunctionInvocationAdapter()` | Creates a new adapter for an object of class '`Function Invocation`'.
    `Adapter` | `createIntValueAdapter()` | Creates a new adapter for an object of class '`Int Value`'.
    `Adapter` | `createInvocationAdapter()` | Creates a new adapter for an object of class '`Invocation`'.
    `Adapter` | `createLinkedExpressionAdapter()` | Creates a new adapter for an object of class '`Linked Expression`'.
    `Adapter` | `createLinkedObjectAdapter()` | Creates a new adapter for an object of class '`Linked Object`'.
    `Adapter` | `createListConstructionAdapter()` | Creates a new adapter for an object of class '`List Construction`'.
    `Adapter` | `createLongValueAdapter()` | Creates a new adapter for an object of class '`Long Value`'.
    `Adapter` | `createMemberAccessAdapter()` | Creates a new adapter for an object of class '`Member Access`'.
    `Adapter` | `createMemberInvocationAdapter()` | Creates a new adapter for an object of class '`Member Invocation`'.
    `Adapter` | `createShortValueAdapter()` | Creates a new adapter for an object of class '`Short Value`'.
    `Adapter` | `createStaticAccessAdapter()` | Creates a new adapter for an object of class '`Static Access`'.
    `Adapter` | `createStringValueAdapter()` | Creates a new adapter for an object of class '`String Value`'.
    `Adapter` | `createValueAdapter()` | Creates a new adapter for an object of class '`Value`'.
    `boolean` | `isFactoryForType​(java.lang.Object object)` | Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static ExpressionsPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected ExpressionsSwitch<Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### ExpressionsAdapterFactory

          public ExpressionsAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType​(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public Adapter createAdapter​(Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createExpressionAdapter

          public Adapter createExpressionAdapter()

      Creates a new adapter for an object of class '`Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Expression`
      Generated

    - #### createValueAdapter

          public Adapter createValueAdapter()

      Creates a new adapter for an object of class '`Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Value`
      Generated

    - #### createBooleanValueAdapter

          public Adapter createBooleanValueAdapter()

      Creates a new adapter for an object of class '`Boolean Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BooleanValue`
      Generated

    - #### createByteValueAdapter

          public Adapter createByteValueAdapter()

      Creates a new adapter for an object of class '`Byte Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ByteValue`
      Generated

    - #### createShortValueAdapter

          public Adapter createShortValueAdapter()

      Creates a new adapter for an object of class '`Short Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ShortValue`
      Generated

    - #### createIntValueAdapter

          public Adapter createIntValueAdapter()

      Creates a new adapter for an object of class '`Int Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `IntValue`
      Generated

    - #### createLongValueAdapter

          public Adapter createLongValueAdapter()

      Creates a new adapter for an object of class '`Long Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LongValue`
      Generated

    - #### createFloatValueAdapter

          public Adapter createFloatValueAdapter()

      Creates a new adapter for an object of class '`Float Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FloatValue`
      Generated

    - #### createDoubleValueAdapter

          public Adapter createDoubleValueAdapter()

      Creates a new adapter for an object of class '`Double Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DoubleValue`
      Generated

    - #### createCharValueAdapter

          public Adapter createCharValueAdapter()

      Creates a new adapter for an object of class '`Char Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CharValue`
      Generated

    - #### createStringValueAdapter

          public Adapter createStringValueAdapter()

      Creates a new adapter for an object of class '`String Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StringValue`
      Generated

    - #### createInvocationAdapter

          public Adapter createInvocationAdapter()

      Creates a new adapter for an object of class '`Invocation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Invocation`
      Generated

    - #### createFunctionInvocationAdapter

          public Adapter createFunctionInvocationAdapter()

      Creates a new adapter for an object of class '`Function Invocation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FunctionInvocation`
      Generated

    - #### createMemberInvocationAdapter

          public Adapter createMemberInvocationAdapter()

      Creates a new adapter for an object of class '`Member Invocation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MemberInvocation`
      Generated

    - #### createAccessAdapter

          public Adapter createAccessAdapter()

      Creates a new adapter for an object of class '`Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Access`
      Generated

    - #### createStaticAccessAdapter

          public Adapter createStaticAccessAdapter()

      Creates a new adapter for an object of class '`Static Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `StaticAccess`
      Generated

    - #### createMemberAccessAdapter

          public Adapter createMemberAccessAdapter()

      Creates a new adapter for an object of class '`Member Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `MemberAccess`
      Generated

    - #### createContextAccessAdapter

          public Adapter createContextAccessAdapter()

      Creates a new adapter for an object of class '`Context Access`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ContextAccess`
      Generated

    - #### createContainedObjectAdapter

          public Adapter createContainedObjectAdapter()

      Creates a new adapter for an object of class '`Contained Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ContainedObject`
      Generated

    - #### createLinkedObjectAdapter

          public Adapter createLinkedObjectAdapter()

      Creates a new adapter for an object of class '`Linked Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LinkedObject`
      Generated

    - #### createLinkedExpressionAdapter

          public Adapter createLinkedExpressionAdapter()

      Creates a new adapter for an object of class '`Linked Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LinkedExpression`
      Generated

    - #### createListConstructionAdapter

          public Adapter createListConstructionAdapter()

      Creates a new adapter for an object of class '`List Construction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ListConstruction`
      Generated

    - #### createEObjectAdapter

          public Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated